%define upstream_name    App-Nopaste
%define upstream_version 0.28

Name:       nopaste
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    easy access to any pastebin
License:    GPL+ or Artistic
Group:      Development/Perl
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Browser::Open)
BuildRequires: perl(Clipboard)
BuildRequires: perl(Config::GitLike)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 0.740.0
BuildRequires: perl(MooseX::Getopt) >= 0.170.0
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(WWW::Pastebin::PastebinCom::Create)
BuildArch:  noarch

Obsoletes:  perl-App-Nopaste
Provides:   perl-App-Nopaste

Requires:   perl(MooseX::Getopt)
%description
Pastebins (also known as nopaste sites) let you post text, usually code,
for public viewing. They're used a lot in IRC channels to show code that
would normally be too long to give directly in the channel (hence the name
nopaste).

Each pastebin is slightly different. When one pastebin goes down (I'm
looking at you, the http://paste.husk.org manpage), then you have to find a
new one. And if you usually use a script to publish text, then it's too
much hassle.

This module aims to smooth out the differences between pastebins, and
provides redundancy: if one site doesn't work, it just tries a different
one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_bindir}/nopaste
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Mar 24 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 76601
- update to 0.28

* Sun Mar 13 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 70519
- update to 0.27

* Fri Feb 25 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 59685
- update to 0.26

* Wed Feb 16 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 52451
- update to 0.25

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 29819
- mageia rebuild
- imported package nopaste

